Skip to content

Create 'Autogiropayerconnection'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
payer_numberstring, <= 16 characters'^\d+$'required
payment_methodobject(Paymentmethod)required
custom_idstring or null, <= 128 characters
organizationobject or null(Organization)
tenantobject or null(Tenant)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: sub_tenant

This field, or at least one of the following fields must be set: sub_tenant

sub_tenantobject or null(Subtenant)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: tenant

This field, or at least one of the following fields must be set: tenant

POST
/accounting/accounttypes/autogiropayerconnection/
curl -i -X POST \
  https://dev.api.pigello.io/accounting/accounttypes/autogiropayerconnection/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "custom_id": "string",
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "tenant": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "payer_number": "string",
    "sub_tenant": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "payment_method": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  }'

Responses

Successful creation

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

payer_numberstring, <= 16 characters'^\d+$'required
payment_methodobject(Paymentmethod)required
custom_idstring or null, <= 128 characters
organizationobject or null(Organization)
tenantobject or null(Tenant)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: sub_tenant

This field, or at least one of the following fields must be set: sub_tenant

sub_tenantobject or null(Subtenant)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: tenant

This field, or at least one of the following fields must be set: tenant

created_atstring, (date-time)read-only
Response
{ "custom_id": "string", "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "payer_number": "string", "sub_tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "created_at": "2019-08-24T14:15:22Z", "payment_method": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }